
<?php $__env->startSection('content'); ?>

  <div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Customer Management</h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Customer</li>

            </ol>
          </div>
        </div>
      </div>
    </div>

    <!-- advance search -->
    <section class="content ">
      <div class="container card pt-4">
     <form class="form-horizontal" action="<?php echo e(action('Admin\CustomerController@index')); ?>" method="get">

        <div class="row ">
          <div class="form-group col-md-3">
           <label for="">Mobile</label>
           <input type="text" onkeypress="return numbersonly(event)" name="mobile" class="form-control" placeholder="Enter Mobile Number" value="<?php echo e($mobile ?? ''); ?>">
         </div>
         <div class="form-group col-md-3">
           <label for="">Email</label>
           <input type="text" name="email" class="form-control " placeholder="Enter Email" value="<?php echo e($email ?? ''); ?>">

         </div>
         <div class="form-group col-md-3">
           <label for="">Gender</label>
           <select class="form-control select2" name="gender">
             <option value="">Select Gender</option>
             <option value="Male" <?php if($gender == 'Male'): ?> selected <?php endif; ?>>Male</option>
             <option value="Female" <?php if($gender == 'Female'): ?> selected <?php endif; ?>>Female</option>
             <option value="Other" <?php if($gender == 'Other'): ?> selected <?php endif; ?>>Other</option>
           </select>
         </div>
         
         <div class="form-group col-md-3 pt-4">
            <a href="<?php echo e(url('admin/customer')); ?>" class="btn btn-secondary">Clear</a>
            <button class="btn btn-success">Search</button> 
        </div>             
         </div>
       </form>
    </div>
  </section>


 <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="d-flex justify-content-end mb-3">
              <?php if(Auth::user()->can('Add_Customer')): ?>
              <button type="button" data-href="<?php echo e(action('Admin\CustomerController@create')); ?>" class="btn btn-secondary add_model" data-toggle="modal" data-target="#add_model" style="float:right;">Add Customer</button>
              <?php endif; ?>
            </div>
            <div class="card-body">
              <table id="example" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th>S No.</th>
                    <th>Customer ID</th>
                    <th>Name</th>
                    <th>Mobile</th>
                    <th>Email</th>
                    <th>D.O.B.</th>
                    <!-- <th>Identity Type</th>
                    <th>Identity Image</th> -->
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                   <?php 
                     $sr = 1; 
                     $page=1;
                     if(Request::input('page'))
                     $page=Request::input('page');
                     $sort = $customers->perPage();
                   ?> 
                  <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <?php $process_start = \App\Models\BlsTraining::where('customer_id',$customer->id)->count(); ?>
                  <tr>
                    <td><?php echo e($key+1); ?></td>
                    <td><?php echo e($customer->customer_unique_id ?? ''); ?></td>
                    <td><?php echo e($customer->firstName ?? ''); ?> <?php echo e($customer->lastName ?? ''); ?></td>
                    <td><?php echo e($customer->mobile ?? ''); ?></td>
                    <td><?php echo e($customer->email ?? ''); ?></td>
                    <td><?php echo e(date('d-m-Y',strtotime($customer->dob)) ?? ''); ?></td>
                    <!-- <td><?php echo e($customer->identityProofType  ?? ''); ?></td> -->
                    
                      <td>
                          <div style="display: flex;">
                              <?php if(Auth::user()->can('Edit_Customer')): ?>
                                <button type="button" data-href="<?php echo e(action('Admin\CustomerController@update',[$customer->id])); ?>" class="btn btn-warning text-white btn-sm mr-2 edit_model" data-toggle="modal" data-target="#edit_model"><i class="fas fa-edit"></i></button>
                              <?php endif; ?>

                              <?php if(Auth::user()->can('Detail_Customer')): ?>
                                <button type="button" data-href="<?php echo e(action('Admin\CustomerController@view',[$customer->id])); ?>" class="btn btn-primary btn-sm mr-2 view_model" data-toggle="modal" data-target="#view_model"><i class="fas fa-eye"></i></button>
                              <?php endif; ?> 
                              <?php if($customer->user_from == 1 && $process_start == 0): ?>
                                <div style="display: flex;">                          
                                   <button type="button" id="delete" href="<?php echo e(action('Admin\CustomerController@delete',[$customer->id])); ?>" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i>
                                </button>
                              <?php endif; ?>  

                              <?php if($customer->idProofImage): ?>
                                <!-- <button type="button"  data-toggle="modal" data-target="#PreviewImg<?php echo e($key); ?>" class="btn btn-secondary btn-sm mr-2"><i class="fas fa-image"></i></button>

                                <div class="modal fade" id="PreviewImg<?php echo e($key); ?>"  role="dialog" aria-labelledby="PreviewImgLabel" aria-hidden="true">
                                  <div class="modal-dialog  modal-xl  modal-dialog-centered" role="document">
                                    <div class="modal-content">
                                      <div class="modal-header">
                                        <h5 class="modal-title" id="PreviewImgLabel">Image Preview</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">&times;</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        <img src="<?php echo e(asset($customer->idProofImage ?? 'notImage.jpg')); ?>" alt="image" width="100%" alt="Identity Proof">
                                      </div>
                                    </div>
                                  </div>
                                </div> -->
                              <?php endif; ?> 
                          </div>   
                      </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>

                <div class="row">
                     <div class="col-md-6 text-left" style="margin: 20px 0px;">
                       Showing  <?php echo e($customers->firstItem()); ?> to <?php echo e($customers->lastItem()); ?> of <?php echo e($customers->total()); ?> entries
                     </div>
                     <div class="col-md-6 text-right paginationBlock">
                       <?php echo $customers->appends(request()->input())->links(); ?>

                     </div>
                   </div>

              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\heka_new\resources\views/admin/customer/index.blade.php ENDPATH**/ ?>